Subject: Re: bug#55898: jami service failing following 'guix deploy' update

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 14 Jun 2022 15:40:51 -0400

Hello Maxime,

Maxime Devos <[email-masked]> writes:

> Maxim Cournoyer schreef op za 11-06-2022 om 01:53 [-0400]:
>> I don't get it; how can the service runs fine in the instrumented VMs
>> the system tests use, and fail in my updated machine?  Could it be a
>> fault in 'guix deploy'?
>
> Maybe the shepherd has the old (gnu build jami-service) module loaded
> and it doesn't know know to reload modules during reconfiguration?

If true, that would indeed explain it.

Thanks,

Maxim